﻿using System.ComponentModel;
using System.Globalization;

/*
  Custom Type Converter Sample 1
  http://cyotek.com/blog/creating-a-custom-typeconverter-part-1
*/

namespace CustomTypeConverter1
{
  [TypeConverter(typeof(LengthConverter))]
  internal class Length
  {
    #region Overridden Members

    public override string ToString()
    {
      string value;
      string unit;

      value = this.Value.ToString(CultureInfo.InvariantCulture);
      unit = this.Unit.ToString();

      return string.Concat(value, unit);
    }

    #endregion

    #region Properties

    public Unit Unit { get; set; }

    public float Value { get; set; }

    #endregion
  }
}
